{
  "extends": "@vue/tsconfig/tsconfig.dom.json",
  "compilerOptions": {
    "tsBuildInfoFile": "./node_modules/.tmp/tsconfig.app.tsbuildinfo",

    /* Linting */
    "strict": true,
    "noUnusedLocals": true,
    "noUnusedParameters": true,
    "noFallthroughCasesInSwitch": true,
    "noUncheckedSideEffectImports": true,

    "baseUrl": "./",
    "paths": {
      "asset/*": ["src/assets/*"],
      "@/*": ["src/pages/*"],
      "@api/*": ["src/apis/*"],
      "@common/*": ["src/components/*"],
      "@core/*": ["src/services/*"]
    }
  },
  "include": ["src/**/*.ts", "src/**/*.tsx", "src/**/*.vue"],
  "files": ["components.d.ts"]
}
